com.sun.star.uno

## Interface IMemberDescription

- All Known Subinterfaces:
    IFieldDescription, IMethodDescription

  Deprecated.
  This interface does not cover all the features supported by the corresponding (unpublished) implementation. But no client code should need to access this functionality, anyway.

      public interface IMemberDescription

  The `IMemberDescription` is the base interface for for the special subset of typedescriptions, which describe members of IDL structs or interfeces.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Deprecated. Gives the relative index of this member in the declaring interface or struct (including superclasses).
    `String` | `getName()` Deprecated. Gives the name of this member.
    `boolean` | `isAny()` Deprecated. Indicates if this member is an any.
    `boolean` | `isInterface()` Deprecated. Indicates if this member is an interface.
    `boolean` | `isUnsigned()` Deprecated. Indicates if this member is unsigned.

- - ### Method Detail

    - #### getName

          String getName()

      Deprecated.
      Gives the name of this member.

      Returns:
        the name

    - #### isUnsigned

          boolean isUnsigned()

      Deprecated.
      Indicates if this member is unsigned. (Not useful for IMethodDescription).

      Returns:
        the unsigned state

    - #### isAny

          boolean isAny()

      Deprecated.
      Indicates if this member is an any.

      Returns:
        the any state

    - #### isInterface

          boolean isInterface()

      Deprecated.
      Indicates if this member is an interface.

      Returns:
        the interface state

    - #### getIndex

          int getIndex()

      Deprecated.
      Gives the relative index of this member in the declaring interface or struct (including superclasses).

      Returns:
        the relative index of this member